# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Number Class Reference

Represents an primitive Number value. More...

`#include <value.h>`

Inheritance diagram for KJS::Number:

[legend]
Collaboration diagram for KJS::Number:

[legend]
List of all members.

## Public Member Functions

| Number (int i)
| Number (unsigned int u)
| Number (double d=0.0)
| Number (long int l)
| Number (long unsigned int l)
| Number (const Number &v)
Number & | operator= (const Number &v)
double | value () const
int | intValue () const
bool | isNaN () const
bool | isInf () const

## Static Public Member Functions

Number | dynamicCast (const Value &v)
| Converts a Value into an Number.

## Friends

class | NumberImp

## Detailed Description

Represents an primitive Number value.

Definition at line 396 of file value.h.

## Member Function Documentation

Number Number::dynamicCast | ( | const Value & | v | ) | `[static]`

Converts a Value into an Number.

If the value's type is not NumberType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type NumberType, you should check the isNull() methods afterwards before calling any methods on the returned value.

Returns:
  The value converted to a Number

Definition at line 485 of file value.cpp.

References KJS::Value::imp(), KJS::Value::isNull(), and KJS::Value::type().

The documentation for this class was generated from the following files:

- value.h
- value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:40 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001